{
  "autoSaveMode" : 3,
  "codeName" : "Test2",
  "controlType" : "FORM",
  "getCreatePSControlAction" : {
    "modelref" : true,
    "id" : "create",
    "actionName" : "Create",
    "actionType" : "DEACTION",
    "dataAccessAction" : "CREATE",
    "name" : "create",
    "getPSAppDEMethod" : {
      "modelref" : true,
      "id" : "Create"
    },
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/BXD2.json"
    }
  },
  "defaultLabelWidth" : 130,
  "dynaModelFilePath" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/BXD2/PSFORMS/Test2.json",
  "dynaSysMode" : 1,
  "getGetDraftFromPSControlAction" : {
    "modelref" : true,
    "id" : "loaddraftfrom",
    "actionName" : "GETDRAFTFROM",
    "actionType" : "DEACTION",
    "dataAccessAction" : "CREATE",
    "name" : "loaddraftfrom",
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/BXD2.json"
    }
  },
  "getGetDraftPSControlAction" : {
    "modelref" : true,
    "id" : "loaddraft",
    "actionName" : "GetDraft",
    "actionType" : "DEACTION",
    "dataAccessAction" : "CREATE",
    "name" : "loaddraft",
    "getPSAppDEMethod" : {
      "modelref" : true,
      "id" : "GetDraft"
    },
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/BXD2.json"
    }
  },
  "getGetPSControlAction" : {
    "modelref" : true,
    "id" : "load",
    "actionName" : "Get",
    "actionType" : "DEACTION",
    "dataAccessAction" : "READ",
    "name" : "load",
    "getPSAppDEMethod" : {
      "modelref" : true,
      "id" : "Get"
    },
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/BXD2.json"
    }
  },
  "hookEventNames" : [ "ONCLICK" ],
  "logicName" : "Test2",
  "getPSAppDataEntity" : {
    "modelref" : true,
    "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/BXD2.json"
  },
  "getPSControlLogics" : [ {
    "eventNames" : "onClick",
    "logicTag" : "form",
    "logicType" : "APPDEUIACTION",
    "name" : "avc",
    "getPSAppDEUIAction" : {
      "actionTarget" : "SINGLEKEY",
      "caption" : "流程自定义操作",
      "codeName" : "编辑界面_流程自定义操作（行为组）",
      "fullCodeName" : "编辑界面_流程自定义操作（行为组）",
      "name" : "编辑界面_流程自定义操作（行为组）",
      "predefinedType" : "EDITVIEW_WFUSERACTION",
      "uIActionMode" : "SYS",
      "uIActionTag" : "02505cfb9b1806f05690804930190c6e",
      "uIActionType" : "DEUIACTION",
      "group" : true,
      "id" : "02505cfb9b1806f05690804930190c6e"
    }
  } ],
  "getPSCtrlMsg" : {
    "codeName" : "UsrCtrlMsg0907114888",
    "dynaModelFilePath" : "PSCTRLMSGS/UsrCtrlMsg0907114888.json",
    "name" : "测试表单",
    "getPSCtrlMsgItems" : [ {
      "content" : "加载草稿成功！！",
      "name" : "GETDRAFTSUCCESS"
    }, {
      "content" : "数据名称：${data.srfmajortext}删除失败了了了。",
      "name" : "REMOVEERROR",
      "timeout" : 3000
    }, {
      "name" : "UPDATESUCCESS_HIDDEN"
    } ]
  },
  "getPSDEFormItems" : [ {
    "id" : "srfupdatedate",
    "hidden" : true,
    "dataType" : 5,
    "getPSAppDEField" : {
      "name" : "UPDATEDATE",
      "codeName" : "UpdateDate"
    }
  }, {
    "id" : "srforikey",
    "hidden" : true,
    "dataType" : 25
  }, {
    "id" : "srfkey",
    "hidden" : true,
    "dataType" : 25,
    "getPSAppDEField" : {
      "name" : "BXD2ID",
      "codeName" : "BXD2Id"
    }
  }, {
    "id" : "srfmajortext",
    "hidden" : true,
    "dataType" : 21,
    "getPSAppDEField" : {
      "name" : "BXD2NAME",
      "codeName" : "BXD2Name"
    }
  }, {
    "id" : "srftempmode",
    "hidden" : true,
    "dataType" : 25
  }, {
    "id" : "srfuf",
    "hidden" : true,
    "dataType" : 25
  }, {
    "id" : "srfdeid",
    "hidden" : true,
    "dataType" : 25
  }, {
    "id" : "srfsourcekey",
    "hidden" : true,
    "dataType" : 25
  }, {
    "id" : "type",
    "dataType" : 25,
    "getPSAppDEField" : {
      "name" : "TYPE",
      "codeName" : "Type"
    }
  }, {
    "id" : "bxd2id",
    "dataType" : 25,
    "getPSAppDEField" : {
      "name" : "BXD2ID",
      "codeName" : "BXD2Id"
    }
  }, {
    "id" : "mxcount",
    "dataType" : 25,
    "getPSAppDEField" : {
      "name" : "MXCOUNT",
      "codeName" : "MXcount"
    }
  }, {
    "id" : "updatedate",
    "dataType" : 5,
    "getPSAppDEField" : {
      "name" : "UPDATEDATE",
      "codeName" : "UpdateDate"
    }
  }, {
    "id" : "createman",
    "dataType" : 25,
    "getPSAppDEField" : {
      "name" : "CREATEMAN",
      "codeName" : "CreateMan"
    }
  }, {
    "id" : "bxd2name",
    "dataType" : 21,
    "getPSAppDEField" : {
      "name" : "BXD2NAME",
      "codeName" : "BXD2Name"
    }
  }, {
    "id" : "updateman",
    "dataType" : 25,
    "getPSAppDEField" : {
      "name" : "UPDATEMAN",
      "codeName" : "UpdateMan"
    }
  }, {
    "id" : "createdate",
    "dataType" : 5,
    "getPSAppDEField" : {
      "name" : "CREATEDATE",
      "codeName" : "CreateDate"
    }
  } ],
  "getPSDEFormPages" : [ {
    "caption" : "基本信息",
    "codeName" : "formpage1",
    "detailStyle" : "DEFAULT",
    "detailType" : "FORMPAGE",
    "name" : "formpage1",
    "getPSDEFormDetails" : [ {
      "caption" : "报销类型",
      "codeName" : "type",
      "dataType" : 25,
      "detailStyle" : "DEFAULT",
      "detailType" : "FORMITEM",
      "enableCond" : 3,
      "ignoreInput" : 0,
      "labelPos" : "LEFT",
      "labelWidth" : 130,
      "name" : "type",
      "noPrivDisplayMode" : 1,
      "getPSAppDEField" : {
        "name" : "TYPE",
        "codeName" : "Type"
      },
      "getPSEditor" : {
        "editorType" : "DROPDOWNLIST",
        "name" : "type",
        "getPSAppCodeList" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPCODELISTS/Test__UsrCodeList1225197182.json"
        },
        "singleSelect" : true
      },
      "getPSLayoutPos" : {
        "colMD" : 24,
        "layout" : "TABLE_24COL"
      },
      "allowEmpty" : true,
      "needCodeListConfig" : true,
      "showCaption" : true
    }, {
      "getCapPSLanguageRes" : {
        "lanResTag" : "DEF.LNAME.BXD2ID"
      },
      "caption" : "报销单2标识",
      "codeName" : "bxd2id",
      "dataType" : 25,
      "detailStyle" : "DEFAULT",
      "detailType" : "FORMITEM",
      "enableCond" : 3,
      "ignoreInput" : 0,
      "labelPos" : "LEFT",
      "labelWidth" : 130,
      "name" : "bxd2id",
      "noPrivDisplayMode" : 1,
      "getPSAppDEField" : {
        "name" : "BXD2ID",
        "codeName" : "BXD2Id"
      },
      "getPSEditor" : {
        "editorType" : "SPAN",
        "name" : "bxd2id",
        "enableLinkView" : false
      },
      "getPSLayoutPos" : {
        "colMD" : 24,
        "layout" : "TABLE_24COL"
      },
      "allowEmpty" : true,
      "showCaption" : true
    }, {
      "getCapPSLanguageRes" : {
        "lanResTag" : "DEF.LNAME.MXCOUNT"
      },
      "caption" : "属性",
      "codeName" : "mxcount",
      "dataType" : 25,
      "detailStyle" : "DEFAULT",
      "detailType" : "FORMITEM",
      "enableCond" : 0,
      "ignoreInput" : 0,
      "labelPos" : "LEFT",
      "labelWidth" : 130,
      "name" : "mxcount",
      "noPrivDisplayMode" : 1,
      "getPSAppDEField" : {
        "name" : "MXCOUNT",
        "codeName" : "MXcount"
      },
      "getPSEditor" : {
        "editorType" : "TEXTBOX",
        "maxLength" : 100,
        "name" : "mxcount"
      },
      "getPSLayoutPos" : {
        "colMD" : 24,
        "layout" : "TABLE_24COL"
      },
      "allowEmpty" : true,
      "showCaption" : true
    }, {
      "getCapPSLanguageRes" : {
        "lanResTag" : "DEF.LNAME.UPDATEDATE"
      },
      "caption" : "更新时间",
      "codeName" : "updatedate",
      "dataType" : 5,
      "detailStyle" : "DEFAULT",
      "detailType" : "FORMITEM",
      "enableCond" : 3,
      "ignoreInput" : 3,
      "labelPos" : "LEFT",
      "labelWidth" : 130,
      "name" : "updatedate",
      "noPrivDisplayMode" : 1,
      "getPSAppDEField" : {
        "name" : "UPDATEDATE",
        "codeName" : "UpdateDate"
      },
      "getPSEditor" : {
        "editorType" : "SPAN",
        "name" : "updatedate",
        "enableLinkView" : false
      },
      "getPSLayoutPos" : {
        "colMD" : 24,
        "layout" : "TABLE_24COL"
      },
      "valueFormat" : "YYYY-MM-DD HH:mm:ss",
      "allowEmpty" : true,
      "showCaption" : true
    }, {
      "getCapPSLanguageRes" : {
        "lanResTag" : "DEF.LNAME.CREATEMAN"
      },
      "caption" : "建立人",
      "codeName" : "createman",
      "dataType" : 25,
      "detailStyle" : "DEFAULT",
      "detailType" : "FORMITEM",
      "enableCond" : 3,
      "ignoreInput" : 3,
      "labelPos" : "LEFT",
      "labelWidth" : 130,
      "name" : "createman",
      "noPrivDisplayMode" : 1,
      "getPSAppDEField" : {
        "name" : "CREATEMAN",
        "codeName" : "CreateMan"
      },
      "getPSEditor" : {
        "editorType" : "SPAN",
        "name" : "createman",
        "getPSAppCodeList" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPCODELISTS/SysOperator.json"
        },
        "enableLinkView" : false
      },
      "getPSLayoutPos" : {
        "colMD" : 24,
        "layout" : "TABLE_24COL"
      },
      "allowEmpty" : true,
      "convertToCodeItemText" : true,
      "showCaption" : true
    }, {
      "getCapPSLanguageRes" : {
        "lanResTag" : "DEF.LNAME.BXD2NAME"
      },
      "caption" : "报销单2名称",
      "codeName" : "bxd2name",
      "dataType" : 21,
      "detailStyle" : "DEFAULT",
      "detailType" : "FORMITEM",
      "enableCond" : 3,
      "ignoreInput" : 0,
      "itemHeight" : 200.0,
      "labelPos" : "LEFT",
      "labelWidth" : 130,
      "name" : "bxd2name",
      "noPrivDisplayMode" : 1,
      "getPSAppDEField" : {
        "name" : "BXD2NAME",
        "codeName" : "BXD2Name"
      },
      "getPSEditor" : {
        "editorHeight" : 200.0,
        "editorParams" : {
          "HEIGHT" : "200"
        },
        "editorType" : "TEXTAREA_10",
        "maxLength" : 1048576,
        "name" : "bxd2name",
        "showMaxLength" : true
      },
      "getPSLayoutPos" : {
        "colMD" : 24,
        "layout" : "TABLE_24COL"
      },
      "allowEmpty" : true,
      "showCaption" : true
    }, {
      "getCapPSLanguageRes" : {
        "lanResTag" : "DEF.LNAME.UPDATEMAN"
      },
      "caption" : "更新人",
      "codeName" : "updateman",
      "dataType" : 25,
      "detailStyle" : "DEFAULT",
      "detailType" : "FORMITEM",
      "enableCond" : 3,
      "ignoreInput" : 3,
      "labelPos" : "LEFT",
      "labelWidth" : 130,
      "name" : "updateman",
      "noPrivDisplayMode" : 1,
      "getPSAppDEField" : {
        "name" : "UPDATEMAN",
        "codeName" : "UpdateMan"
      },
      "getPSEditor" : {
        "editorType" : "SPAN",
        "name" : "updateman",
        "getPSAppCodeList" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPCODELISTS/SysOperator.json"
        },
        "enableLinkView" : false
      },
      "getPSLayoutPos" : {
        "colMD" : 24,
        "layout" : "TABLE_24COL"
      },
      "allowEmpty" : true,
      "convertToCodeItemText" : true,
      "showCaption" : true
    }, {
      "getCapPSLanguageRes" : {
        "lanResTag" : "DEF.LNAME.CREATEDATE"
      },
      "caption" : "建立时间",
      "codeName" : "createdate",
      "dataType" : 5,
      "detailStyle" : "DEFAULT",
      "detailType" : "FORMITEM",
      "enableCond" : 3,
      "ignoreInput" : 3,
      "labelPos" : "LEFT",
      "labelWidth" : 130,
      "name" : "createdate",
      "noPrivDisplayMode" : 1,
      "getPSAppDEField" : {
        "name" : "CREATEDATE",
        "codeName" : "CreateDate"
      },
      "getPSEditor" : {
        "editorType" : "SPAN",
        "name" : "createdate",
        "enableLinkView" : false
      },
      "getPSLayoutPos" : {
        "colMD" : 24,
        "layout" : "TABLE_24COL"
      },
      "valueFormat" : "YYYY-MM-DD HH:mm:ss",
      "allowEmpty" : true,
      "showCaption" : true
    }, {
      "actionType" : "UIACTION",
      "caption" : "版本",
      "codeName" : "button1",
      "detailStyle" : "DEFAULT",
      "detailType" : "BUTTON",
      "name" : "button1",
      "getPSAppViewUIAction" : {
        "modelref" : true,
        "id" : "form_button1"
      },
      "getPSLayoutPos" : {
        "colMD" : 24,
        "layout" : "TABLE_24COL"
      },
      "getPSUIAction" : {
        "actionTarget" : "NONE",
        "caption" : "测试异步行为",
        "codeName" : "testAsyncAction",
        "fullCodeName" : "BXD2_testAsyncAction",
        "name" : "测试异步行为",
        "getPSAppDEMethod" : {
          "modelref" : true,
          "id" : "TestAsyncAction"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/BXD2.json"
        },
        "timeout" : 60000,
        "uIActionMode" : "BACKEND",
        "uIActionTag" : "testAsyncAction",
        "uIActionType" : "DEUIACTION",
        "asyncAction" : true,
        "enableConfirm" : true,
        "id" : "testAsyncAction@BXD2"
      },
      "tooltip" : "版本",
      "uIActionTarget" : "NONE",
      "showCaption" : true
    }, {
      "codeName" : "mdctrl1",
      "getContentPSControl" : {
        "codeName" : "List",
        "controlType" : "LIST",
        "getCreatePSControlAction" : {
          "modelref" : true,
          "id" : "create",
          "actionName" : "Create",
          "actionType" : "DEACTION",
          "dataAccessAction" : "CREATE",
          "name" : "create",
          "getPSAppDEMethod" : {
            "modelref" : true,
            "id" : "Create"
          },
          "getPSAppDataEntity" : {
            "modelref" : true,
            "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/BXDMX2.json"
          }
        },
        "dynaModelFilePath" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/BXDMX2/PSLISTS/List.json",
        "getFetchPSControlAction" : {
          "modelref" : true,
          "id" : "fetch",
          "actionType" : "DEDATASET",
          "name" : "fetch",
          "getPSAppDEMethod" : {
            "modelref" : true,
            "id" : "FetchDefault"
          },
          "getPSAppDataEntity" : {
            "modelref" : true,
            "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/BXDMX2.json"
          }
        },
        "getGetPSControlAction" : {
          "modelref" : true,
          "id" : "load",
          "actionName" : "Get",
          "actionType" : "DEACTION",
          "dataAccessAction" : "READ",
          "name" : "load",
          "getPSAppDEMethod" : {
            "modelref" : true,
            "id" : "Get"
          },
          "getPSAppDataEntity" : {
            "modelref" : true,
            "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/BXDMX2.json"
          }
        },
        "groupMode" : "NONE",
        "getItemPSLayoutPanel" : {
          "getAllPSPanelFields" : [ {
            "id" : "name",
            "viewFieldName" : "BXDMX2NAME"
          } ],
          "codeName" : "Usr1129106801",
          "controlType" : "PANEL",
          "dynaModelFilePath" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/BXDMX2/PSPANELS/Usr1129106801.json",
          "layoutMode" : "TABLE_24COL",
          "logicName" : "List_列表项面板",
          "getPSAppDataEntity" : {
            "modelref" : true,
            "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/BXDMX2.json"
          },
          "getPSControlParam" : { },
          "getPSLayout" : {
            "childColMD" : 24,
            "columnCount" : 24,
            "layout" : "TABLE_24COL"
          },
          "getRootPSPanelItems" : [ {
            "caption" : "文本(动态)",
            "itemStyle" : "DEFAULT",
            "itemType" : "FIELD",
            "name" : "name",
            "getPSEditor" : {
              "editorType" : "SPAN",
              "name" : "name",
              "predefinedType" : "FIELD_TEXT_DYNAMIC",
              "renderMode" : "TEXT_DYNAMIC",
              "enableLinkView" : false
            },
            "getPSLayoutPos" : {
              "colMD" : 24,
              "layout" : "TABLE_24COL"
            },
            "viewFieldName" : "BXDMX2NAME"
          } ],
          "name" : "mdctrl1_list_itempanel",
          "modelid" : "AECCF9C4-C714-4244-A89C-29752B70218E",
          "modeltype" : "PSSYSVIEWPANEL"
        },
        "logicName" : "List",
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/BXDMX2.json"
        },
        "getPSControlHandler" : {
          "getPSHandlerActions" : [ {
            "actionName" : "Get",
            "actionType" : "DEACTION",
            "dataAccessAction" : "READ",
            "name" : "load",
            "getPSAppDEMethod" : {
              "modelref" : true,
              "id" : "Get"
            },
            "getPSAppDataEntity" : {
              "modelref" : true,
              "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/BXDMX2.json"
            }
          }, {
            "actionName" : "Create",
            "actionType" : "DEACTION",
            "dataAccessAction" : "CREATE",
            "name" : "create",
            "getPSAppDEMethod" : {
              "modelref" : true,
              "id" : "Create"
            },
            "getPSAppDataEntity" : {
              "modelref" : true,
              "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/BXDMX2.json"
            }
          }, {
            "actionName" : "Update",
            "actionType" : "DEACTION",
            "dataAccessAction" : "UPDATE",
            "name" : "update",
            "getPSAppDEMethod" : {
              "modelref" : true,
              "id" : "Update"
            },
            "getPSAppDataEntity" : {
              "modelref" : true,
              "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/BXDMX2.json"
            }
          }, {
            "actionName" : "Remove",
            "actionType" : "DEACTION",
            "dataAccessAction" : "DELETE",
            "name" : "remove",
            "getPSAppDEMethod" : {
              "modelref" : true,
              "id" : "Remove"
            },
            "getPSAppDataEntity" : {
              "modelref" : true,
              "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/BXDMX2.json"
            }
          }, {
            "actionType" : "DEDATASET",
            "name" : "fetch",
            "getPSAppDEMethod" : {
              "modelref" : true,
              "id" : "FetchDefault"
            },
            "getPSAppDataEntity" : {
              "modelref" : true,
              "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/BXDMX2.json"
            }
          } ],
          "userDRAction" : "READ",
          "enableDEFieldPrivilege" : false,
          "id" : "列表控件处理器"
        },
        "getPSControlParam" : {
          "autoLoad" : true,
          "showBusyIndicator" : true
        },
        "getPSDEListDataItems" : [ {
          "dataType" : 25,
          "name" : "bxdmx2name",
          "getPSAppDEField" : {
            "name" : "BXDMX2NAME",
            "codeName" : "BXDMX2Name"
          }
        }, {
          "dataType" : 25,
          "name" : "srfkey",
          "getPSAppDEField" : {
            "name" : "BXDMX2ID",
            "codeName" : "BXDMX2Id"
          }
        }, {
          "dataType" : 25,
          "name" : "srfmajortext",
          "getPSAppDEField" : {
            "name" : "BXDMX2NAME",
            "codeName" : "BXDMX2Name"
          }
        }, {
          "dataType" : 25,
          "name" : "bxd2id",
          "getPSAppDEField" : {
            "name" : "BXD2ID",
            "codeName" : "BXD2Id"
          }
        } ],
        "pagingSize" : 1000,
        "getRemovePSControlAction" : {
          "modelref" : true,
          "id" : "remove",
          "actionName" : "Remove",
          "actionType" : "DEACTION",
          "dataAccessAction" : "DELETE",
          "name" : "remove",
          "getPSAppDEMethod" : {
            "modelref" : true,
            "id" : "Remove"
          },
          "getPSAppDataEntity" : {
            "modelref" : true,
            "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/BXDMX2.json"
          }
        },
        "getUpdatePSControlAction" : {
          "modelref" : true,
          "id" : "update",
          "actionName" : "Update",
          "actionType" : "DEACTION",
          "dataAccessAction" : "UPDATE",
          "name" : "update",
          "getPSAppDEMethod" : {
            "modelref" : true,
            "id" : "Update"
          },
          "getPSAppDataEntity" : {
            "modelref" : true,
            "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/BXDMX2.json"
          }
        },
        "hasWFDataItems" : false,
        "enableGroup" : false,
        "enableRowEdit" : false,
        "enableRowEditGroup" : false,
        "enableRowEditOrder" : false,
        "enableRowNew" : false,
        "noSort" : false,
        "showHeader" : true,
        "singleSelect" : false,
        "name" : "mdctrl1_list",
        "modelid" : "875D3EE7-5D5D-445B-A621-D9680ABFC193",
        "modeltype" : "PSDELIST"
      },
      "contentType" : "LIST",
      "detailStyle" : "DEFAULT",
      "detailType" : "MDCTRL",
      "name" : "mdctrl1",
      "getPSLayout" : {
        "childColMD" : 24,
        "columnCount" : 24,
        "layout" : "TABLE_24COL"
      },
      "getPSLayoutPos" : {
        "colMD" : 24,
        "layout" : "TABLE_24COL"
      },
      "infoGroupMode" : false,
      "showCaption" : true
    }, {
      "codeName" : "mdctrl2",
      "getContentPSControl" : {
        "aggMode" : "NONE",
        "codeName" : "Main",
        "columnEnableFilter" : 2,
        "columnEnableLink" : 2,
        "controlType" : "GRID",
        "getCreatePSControlAction" : {
          "actionName" : "Create",
          "actionType" : "DEACTION",
          "dataAccessAction" : "CREATE",
          "name" : "create",
          "getPSAppDEMethod" : {
            "modelref" : true,
            "id" : "Create"
          },
          "getPSAppDataEntity" : {
            "modelref" : true,
            "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/BXDMX2.json"
          }
        },
        "dynaModelFilePath" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/BXDMX2/PSGRIDS/Main.json",
        "getFetchPSControlAction" : {
          "modelref" : true,
          "id" : "fetch",
          "actionType" : "DEDATASET",
          "name" : "fetch",
          "getPSAppDEMethod" : {
            "modelref" : true,
            "id" : "FetchDefault"
          },
          "getPSAppDataEntity" : {
            "modelref" : true,
            "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/BXDMX2.json"
          }
        },
        "getGetDraftPSControlAction" : {
          "actionName" : "GetDraft",
          "actionType" : "DEACTION",
          "dataAccessAction" : "CREATE",
          "name" : "loaddraft",
          "getPSAppDEMethod" : {
            "modelref" : true,
            "id" : "GetDraft"
          },
          "getPSAppDataEntity" : {
            "modelref" : true,
            "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/BXDMX2.json"
          }
        },
        "getGetPSControlAction" : {
          "actionName" : "Get",
          "actionType" : "DEACTION",
          "dataAccessAction" : "READ",
          "name" : "load",
          "getPSAppDEMethod" : {
            "modelref" : true,
            "id" : "Get"
          },
          "getPSAppDataEntity" : {
            "modelref" : true,
            "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/BXDMX2.json"
          }
        },
        "groupMode" : "NONE",
        "logicName" : "主表格",
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/BXDMX2.json"
        },
        "getPSControlHandler" : {
          "getPSHandlerActions" : [ {
            "actionName" : "Get",
            "actionType" : "DEACTION",
            "dataAccessAction" : "READ",
            "name" : "load",
            "getPSAppDEMethod" : {
              "modelref" : true,
              "id" : "Get"
            },
            "getPSAppDataEntity" : {
              "modelref" : true,
              "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/BXDMX2.json"
            }
          }, {
            "actionName" : "Create",
            "actionType" : "DEACTION",
            "dataAccessAction" : "CREATE",
            "name" : "create",
            "getPSAppDEMethod" : {
              "modelref" : true,
              "id" : "Create"
            },
            "getPSAppDataEntity" : {
              "modelref" : true,
              "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/BXDMX2.json"
            }
          }, {
            "actionName" : "Update",
            "actionType" : "DEACTION",
            "dataAccessAction" : "UPDATE",
            "name" : "update",
            "getPSAppDEMethod" : {
              "modelref" : true,
              "id" : "Update"
            },
            "getPSAppDataEntity" : {
              "modelref" : true,
              "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/BXDMX2.json"
            }
          }, {
            "actionName" : "Remove",
            "actionType" : "DEACTION",
            "dataAccessAction" : "DELETE",
            "name" : "remove",
            "getPSAppDEMethod" : {
              "modelref" : true,
              "id" : "Remove"
            },
            "getPSAppDataEntity" : {
              "modelref" : true,
              "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/BXDMX2.json"
            }
          }, {
            "actionName" : "GetDraft",
            "actionType" : "DEACTION",
            "dataAccessAction" : "CREATE",
            "name" : "loaddraft",
            "getPSAppDEMethod" : {
              "modelref" : true,
              "id" : "GetDraft"
            },
            "getPSAppDataEntity" : {
              "modelref" : true,
              "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/BXDMX2.json"
            }
          }, {
            "actionType" : "DEDATASET",
            "name" : "fetch",
            "getPSAppDEMethod" : {
              "modelref" : true,
              "id" : "FetchDefault"
            },
            "getPSAppDataEntity" : {
              "modelref" : true,
              "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/BXDMX2.json"
            }
          } ],
          "userDRAction" : "READ",
          "enableDEFieldPrivilege" : false,
          "id" : "数据表格处理器"
        },
        "getPSControlParam" : {
          "autoLoad" : true,
          "showBusyIndicator" : true
        },
        "getPSDEGridColumns" : [ {
          "align" : "LEFT",
          "cLConvertMode" : "NONE",
          "getCapPSLanguageRes" : {
            "lanResTag" : "DEF.LNAME.BXDMX2NAME"
          },
          "caption" : "报销单明细2名称",
          "codeName" : "bxdmx2name",
          "columnType" : "DEFGRIDCOLUMN",
          "dataItemName" : "bxdmx2name",
          "excelCaption" : "报销单明细2名称",
          "name" : "bxdmx2name",
          "noPrivDisplayMode" : 1,
          "getPSAppDEField" : {
            "name" : "BXDMX2NAME",
            "codeName" : "BXDMX2Name"
          },
          "width" : 150,
          "widthUnit" : "PX",
          "enableRowEdit" : true,
          "enableSort" : true
        }, {
          "align" : "LEFT",
          "cLConvertMode" : "FRONT",
          "getCapPSLanguageRes" : {
            "lanResTag" : "DEF.LNAME.UPDATEMAN"
          },
          "caption" : "更新人",
          "codeName" : "updateman",
          "columnType" : "DEFGRIDCOLUMN",
          "dataItemName" : "updateman",
          "excelCaption" : "更新人",
          "name" : "updateman",
          "noPrivDisplayMode" : 1,
          "getPSAppCodeList" : {
            "modelref" : true,
            "path" : "PSSYSAPPS/Web/PSAPPCODELISTS/SysOperator.json"
          },
          "getPSAppDEField" : {
            "name" : "UPDATEMAN",
            "codeName" : "UpdateMan"
          },
          "width" : 150,
          "widthUnit" : "PX",
          "enableSort" : true
        }, {
          "align" : "LEFT",
          "cLConvertMode" : "NONE",
          "getCapPSLanguageRes" : {
            "lanResTag" : "DEF.LNAME.UPDATEDATE"
          },
          "caption" : "更新时间",
          "codeName" : "updatedate",
          "columnType" : "DEFGRIDCOLUMN",
          "dataItemName" : "updatedate",
          "excelCaption" : "更新时间",
          "name" : "updatedate",
          "noPrivDisplayMode" : 1,
          "getPSAppDEField" : {
            "name" : "UPDATEDATE",
            "codeName" : "UpdateDate"
          },
          "valueFormat" : "YYYY-MM-DD HH:mm:ss",
          "width" : 150,
          "widthUnit" : "PX",
          "enableSort" : true
        } ],
        "getPSDEGridDataItems" : [ {
          "dataType" : 25,
          "name" : "bxdmx2name",
          "getPSAppDEField" : {
            "name" : "BXDMX2NAME",
            "codeName" : "BXDMX2Name"
          }
        }, {
          "dataType" : 25,
          "name" : "updateman",
          "getPSAppDEField" : {
            "name" : "UPDATEMAN",
            "codeName" : "UpdateMan"
          }
        }, {
          "format" : "YYYY-MM-DD HH:mm:ss",
          "dataType" : 5,
          "name" : "updatedate",
          "getPSAppDEField" : {
            "name" : "UPDATEDATE",
            "codeName" : "UpdateDate"
          }
        }, {
          "dataType" : 25,
          "name" : "srfkey",
          "getPSAppDEField" : {
            "name" : "BXDMX2ID",
            "codeName" : "BXDMX2Id"
          }
        }, {
          "dataType" : 25,
          "name" : "srfdataaccaction",
          "getPSAppDEField" : {
            "name" : "BXDMX2ID",
            "codeName" : "BXDMX2Id"
          },
          "dataAccessAction" : true
        }, {
          "dataType" : 25,
          "name" : "bxd2id",
          "getPSAppDEField" : {
            "name" : "BXD2ID",
            "codeName" : "BXD2Id"
          }
        }, {
          "dataType" : 25,
          "name" : "srfmajortext",
          "getPSAppDEField" : {
            "name" : "BXDMX2NAME",
            "codeName" : "BXDMX2Name"
          }
        } ],
        "getPSDEGridEditItems" : [ {
          "caption" : "报销单明细2名称",
          "codeName" : "bxdmx2name",
          "enableCond" : 3,
          "ignoreInput" : 0,
          "name" : "bxdmx2name",
          "getPSAppDEField" : {
            "name" : "BXDMX2NAME",
            "codeName" : "BXDMX2Name"
          },
          "getPSEditor" : {
            "editorType" : "TEXTBOX",
            "maxLength" : 200,
            "name" : "bxdmx2name"
          },
          "allowEmpty" : true
        }, {
          "caption" : "报销单明细2标识",
          "codeName" : "srfkey",
          "enableCond" : 3,
          "ignoreInput" : 0,
          "name" : "srfkey",
          "getPSAppDEField" : {
            "name" : "BXDMX2ID",
            "codeName" : "BXDMX2Id"
          },
          "getPSEditor" : {
            "editorType" : "HIDDEN",
            "name" : "srfkey"
          },
          "allowEmpty" : true
        } ],
        "pagingMode" : 1,
        "pagingSize" : 20,
        "getRemovePSControlAction" : {
          "actionName" : "Remove",
          "actionType" : "DEACTION",
          "dataAccessAction" : "DELETE",
          "name" : "remove",
          "getPSAppDEMethod" : {
            "modelref" : true,
            "id" : "Remove"
          },
          "getPSAppDataEntity" : {
            "modelref" : true,
            "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/BXDMX2.json"
          }
        },
        "sortMode" : "REMOTE",
        "getUpdatePSControlAction" : {
          "actionName" : "Update",
          "actionType" : "DEACTION",
          "dataAccessAction" : "UPDATE",
          "name" : "update",
          "getPSAppDEMethod" : {
            "modelref" : true,
            "id" : "Update"
          },
          "getPSAppDataEntity" : {
            "modelref" : true,
            "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/BXDMX2.json"
          }
        },
        "hasWFDataItems" : false,
        "enableColFilter" : false,
        "enableCustomized" : true,
        "enableGroup" : false,
        "enablePagingBar" : true,
        "enableRowEdit" : true,
        "enableRowEditOrder" : false,
        "enableRowNew" : true,
        "forceFit" : false,
        "hideHeader" : false,
        "noSort" : false,
        "singleSelect" : false,
        "name" : "mdctrl2_grid",
        "modelid" : "421f7328fe079fe66d316aae65b7050e",
        "modeltype" : "PSDEGRID"
      },
      "contentType" : "GRID",
      "detailStyle" : "DEFAULT",
      "detailType" : "MDCTRL",
      "name" : "mdctrl2",
      "getPSLayout" : {
        "childColMD" : 24,
        "columnCount" : 24,
        "layout" : "TABLE_24COL"
      },
      "getPSLayoutPos" : {
        "colMD" : 24,
        "layout" : "TABLE_24COL"
      },
      "infoGroupMode" : false,
      "showCaption" : true
    } ],
    "getPSLayout" : {
      "childColMD" : 24,
      "columnCount" : 24,
      "layout" : "TABLE_24COL"
    },
    "infoGroupMode" : false
  } ],
  "getPSLayout" : {
    "childColMD" : 24,
    "columnCount" : 24,
    "layout" : "TABLE_24COL"
  },
  "getRemovePSControlAction" : {
    "modelref" : true,
    "id" : "remove",
    "actionName" : "Remove",
    "actionType" : "DEACTION",
    "dataAccessAction" : "DELETE",
    "name" : "remove",
    "getPSAppDEMethod" : {
      "modelref" : true,
      "id" : "Remove"
    },
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/BXD2.json"
    }
  },
  "tabHeaderPos" : "TOP",
  "getUpdatePSControlAction" : {
    "modelref" : true,
    "id" : "update",
    "actionName" : "Update",
    "actionType" : "DEACTION",
    "dataAccessAction" : "UPDATE",
    "name" : "update",
    "getPSAppDEMethod" : {
      "modelref" : true,
      "id" : "Update"
    },
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/BXD2.json"
    }
  },
  "enableAutoSave" : true,
  "noTabHeader" : true,
  "modelid" : "63680324-80B4-4699-A194-C72941BCA369",
  "modeltype" : "PSDEFORM_EDITFORM"
}